﻿/* Interaction states
----------------------------------*/
.red-button .ui-state-default, .red-button .ui-widget-content .ui-state-default, .red-button .ui-widget-header .ui-state-default { border: none;  font-weight: bold; } 
.red-button .ui-state-default a, .red-button .ui-state-default a:link, .red-button .ui-state-default a:visited { color: #2779aa; text-decoration: none; }
.red-button .ui-state-hover, .red-button .ui-widget-content .ui-state-hover, .red-button .ui-widget-header .ui-state-hover, .red-button .ui-state-focus, .red-button .ui-widget-content .ui-state-focus, .red-button .ui-widget-header .ui-state-focus { border: none;font-weight: bold;  }
.red-button .ui-state-hover a, .red-button .ui-state-hover a:hover { color: #0070a3; text-decoration: none; }
.red-button .ui-state-active, .red-button .ui-widget-content .ui-state-active, .red-button .ui-widget-header .ui-state-active { border: none; background: #ffefef; font-weight: bold; color: #780000; }
.red-button .ui-state-active a, .red-button .ui-state-active a:link, .red-button .ui-state-active a:visited { color: #ffffff; text-decoration: none; }
.red-button .ui-widget :active { outline: none; }

/*
 * jQuery UI Button 1.8.10
 * scope: .red-button
 */
.red-button .ui-button { display: inline-block; position: relative; padding: 0; margin-right: .1em; text-decoration: none !important; cursor: pointer; text-align: center; zoom: 1; overflow: visible; } /* the overflow property removes extra width in IE */
.red-button .ui-button-icon-only { width: 2.2em; } /* to make room for the icon, a width needs to be set here */
.red-button button.ui-button-icon-only { width: 2.4em; } /* button elements seem to need a little more width */
.red-button .ui-button-icons-only { width: 3.4em; } 
.red-button button.ui-button-icons-only { width: 3.7em; } 

/*button text element */
.red-button .ui-button .ui-button-text { display: block; line-height: 1.4;  }
.red-button .ui-button-text-only .ui-button-text { padding: .4em 1em; }
.red-button .ui-button-icon-only .ui-button-text, .red-button .ui-button-icons-only .ui-button-text { padding: .4em; text-indent: -9999999px; }
.red-button .ui-button-text-icon-primary .ui-button-text, .red-button .ui-button-text-icons .ui-button-text { padding: .4em 1em .4em 2.1em; }
.red-button .ui-button-text-icon-secondary .ui-button-text, .red-button .ui-button-text-icons .ui-button-text { padding: .4em 2.1em .4em 1em; }
.red-button .ui-button-text-icons .ui-button-text { padding-left: 2.1em; padding-right: 2.1em; }
/* no icon support for input elements, provide padding by default */
.red-button input.ui-button { padding: .4em 1em; }

/*button icon element(s) */
.red-button .ui-button-icon-only .ui-icon, .red-button .ui-button-text-icon-primary .ui-icon, .red-button .ui-button-text-icon-secondary .ui-icon, .red-button .ui-button-text-icons .ui-icon, .red-button .ui-button-icons-only .ui-icon { position: absolute; top: 50%; margin-top: -8px; }
.red-button .ui-button-icon-only .ui-icon { left: 50%; margin-left: -8px; }
.red-button .ui-button-text-icon-primary .ui-button-icon-primary, .red-button .ui-button-text-icons .ui-button-icon-primary, .red-button .ui-button-icons-only .ui-button-icon-primary { left: .5em; }
.red-button .ui-button-text-icon-secondary .ui-button-icon-secondary, .red-button .ui-button-text-icons .ui-button-icon-secondary, .red-button .ui-button-icons-only .ui-button-icon-secondary { right: .5em; }
.red-button .ui-button-text-icons .ui-button-icon-secondary, .red-button .ui-button-icons-only .ui-button-icon-secondary { right: .5em; }

/*button sets*/
.red-button .ui-buttonset { margin-right: 7px; }
.red-button .ui-buttonset .ui-button { margin-left: 0; margin-right: -.3em; }

/* workarounds */
.red-button button.ui-button::-moz-focus-inner { border: 0; padding: 0; } /* reset extra padding in Firefox */

/* Icons
----------------------------------*/
/*width:97px; height:29px
/* states and images */
.red-button .ui-icon { display: block; text-indent: -99999px; overflow: hidden; background-repeat: no-repeat; }

/* states and images */
.red-button .ui-icon { width: 16px; height: 16px; background-image: url(images/ecom-icons_b81919_256x256.png)/*{iconsContent}*/; }
.red-button .ui-widget-content .ui-icon {background-image: url(images/ecom-icons_b81919_256x256.png)/*{iconsContent}*/; }
.red-button .ui-widget-header .ui-icon {background-image: url(images/ecom-icons_b81919_256x256.png)/*{iconsHeader}*/; }
.red-button .ui-state-default .ui-icon { background-image: url(images/ecom-icons_b81919_256x256.png)/*{iconsDefault}*/; }
.red-button .ui-state-hover .ui-icon, .red-button .ui-state-focus .ui-icon {background-image: url(images/ecom-icons_b81919_256x256.png)/*{iconsHover}*/; }
.red-button .ui-state-active .ui-icon {background-image: url(images/ecom-icons_b81919_256x256.png)/*{iconsActive}*/; }
.red-button .ui-state-highlight .ui-icon {background-image: url(images/ecom-icons_b81919_256x256.png)/*{iconsHighlight}*/; }
.red-button .ui-state-error .ui-icon, .red-button .ui-state-error-text .ui-icon {background-image: url(images/ecom-icons_b81919_256x256.png)/*{iconsError}*/; }

/* positioning */
.ui-icon-full-arrow-e { background-position: 0px 0px; }
.ui-icon-full-arrow-s { background-position: -16px 0px; }